import sentry_sdk

from aext_shared.__about__ import __version__
from aext_shared.config import ConfigValueFactory, Environment, get_environment_v2
from aext_shared.sentry import sentry_before_send
from aext_shared.utils import get_username

environment = get_environment_v2(ConfigValueFactory())

if environment != Environment.local_development:
    sentry_sdk.init(
        dsn="https://f175bff95ca4ae57c532f2bf67cbaa63@o4506633492365312.ingest.us.sentry.io/4507504728539136",
        max_breadcrumbs=50,
        release=__version__,
        environment=environment.value,
        before_send=sentry_before_send,
    )
    user_id = get_username()
    sentry_sdk.set_user({"id": user_id})
