import json
import os

config_defaults_local_dotcloud = {
    # These control internal services
    "ANACONDA_API_DOMAIN": "anaconda.cloud",
    "ANACONDA_API_URL": "https://anaconda.cloud/api",
    "ANACONDA_AUTH_DOMAIN": "auth.anaconda.com",
    "ANACONDA_AUTH_TOKEN_ENDPOINT": "/api/auth/oauth2/token",
    "ANACONDA_STATIC_CONTENT_URL": "https://static.anaconda.cloud",
    "ANACONDA_IAM_URL": "https://anaconda.cloud/api/iam",
    "ANACONDA_ORG_URL": "https://anaconda.org",
    "ANACONDA_ORG_API_URL": "https://api.anaconda.org",
    "ANACONDA_NOTEBOOKS_URL": "https://nb.anaconda.cloud",
    "ANACONDA_LEARNING_URL": "https://learning.anaconda.cloud",
    # These control the environment variables used by the Assistant
    "ANACONDA_ASSISTANT_ENVIRONMENT_TYPE": "local-notebooks-prod",
    "ANACONDA_ASSISTANT_API_URL": "https://assistant.anaconda.cloud",
    # External services and feature flag overrides
    "LOCAL_PRODUCTION": "true",
    "LAUNCH_DARKLY_CLIENT_ID": "6408b2b7e550011343183538",
    "DEBUG_FEATURE_FLAG_OVERRIDES": json.dumps(
        {
            "monorepo-assistant": True,
            "monorepo-panel": True,
            "panel-sign-out-jupyterlab": True,
            "share-notebook-use-projects-v2": True,
            "sharing-show-preview": True,
            "monorepo-share-notebooks": True,
            "monorepo-panel-show-publish-button": False,
        }
    ),
    # This controls the 'environment' configuration value, it needs to be True for local
    "LOCAL": "true",
}

config_defaults_local_dotcom = {
    # These control internal services
    "ANACONDA_API_DOMAIN": "anaconda.com",
    "ANACONDA_API_URL": "https://anaconda.com/api",
    "ANACONDA_AUTH_DOMAIN": "auth.anaconda.com",
    "ANACONDA_AUTH_TOKEN_ENDPOINT": "/api/auth/oauth2/token",
    "ANACONDA_STATIC_CONTENT_URL": "https://static.anaconda.cloud",
    "ANACONDA_IAM_URL": "https://anaconda.com/api/iam",
    "ANACONDA_ORG_URL": "https://anaconda.org",
    "ANACONDA_ORG_API_URL": "https://api.anaconda.org",
    "ANACONDA_NOTEBOOKS_URL": "https://nb.anaconda.com",
    "ANACONDA_LEARNING_URL": "https://anaconda.com/learning/catalog",
    # These control the environment variables used by the Assistant
    "ANACONDA_ASSISTANT_ENVIRONMENT_TYPE": "local-notebooks-prod",
    "ANACONDA_ASSISTANT_API_URL": "https://anaconda.com/api/assistant",
    # External services and feature flag overrides
    "LOCAL_PRODUCTION": "true",
    "LAUNCH_DARKLY_CLIENT_ID": "6408b2b7e550011343183538",
    "DEBUG_FEATURE_FLAG_OVERRIDES": json.dumps(
        {
            "monorepo-assistant": True,
            "monorepo-panel": True,
            "panel-sign-out-jupyterlab": True,
            "share-notebook-use-projects-v2": True,
            "sharing-show-preview": True,
            "monorepo-share-notebooks": True,
            "monorepo-panel-show-publish-button": False,
        }
    ),
    # This controls the 'environment' configuration value, it needs to be True for local
    "LOCAL": "true",
}

# XXX: This logic is temporary - a feature flag will be used to determine the config
config_defaults_local = config_defaults_local_dotcloud
if os.getenv("PYTHONANYWHERE_DOMAIN") == "nb.stage.anaconda.com":
    config_defaults_cloud = config_defaults_local_dotcom

# TODO: evaluate migration feature flag
# if asyncio.run(
#     launchdarkly_client.evaluate_feature_flag(
#         LAUNCH_DARKLY_ANACONDA_NOTEBOOKS_PROJECT_KEY, LAUNCH_DARKLY_DOTCOM_MIGRATION_FLAG, environment
#     )
# ):
#     config_defaults_local = config_defaults_local_dotcom
