import unittest
from unittest.mock import patch

from aext_shared.config import Environment


class TestPackageInit(unittest.TestCase):
    @patch("aext_shared.config.get_environment_v2")
    def test_package_import(self, mock_get_environment_v2):

        # ensure clear import cache
        import sys

        if "aext_shared" in sys.modules:
            del sys.modules["aext_shared"]

        mock_get_environment_v2.return_value = Environment.local_development
        import aext_shared

        assert aext_shared is not None
